$(document).ready(function() {

	//select all the a tag with name equal to modal
	$('a[name=modal]').click(function(e){
		//Cancel the link behavior
		e.preventDefault();
		
		//Get the A tag
		var id = $(this).attr('href');
	
		//Get the screen height and width
		var maskHeight = $(document).height();
		var maskWidth = $(window).width();
	
		//Set heigth and width to mask to fill up the whole screen
		$('#mask').css({'width':maskWidth,'height':maskHeight});
		
		//transition effect		
		$('#mask').fadeIn(100);
		$('#mask').fadeTo("fast",0.8);
	
	var centerX = parseInt($(window).width() / 2) + $(window).scrollLeft();
    var centerY = parseInt($(window).height() / 2) + $(window).scrollTop(); 
		
		
		//Get the window height and width
		var winH = $(window).height();
		var winW = $(window).width();
              
		//Set the popup window to center
		//$(id).css('position:absolute');
		$(id).css('top',  centerY - ($(id).height()/2));
		$(id).css('left', centerX - ($(id).width()/2));
	
		//transition effect
		$(id).fadeIn(500); 
	
	});
	
	//if close button is clicked
	$('.windowX .close').click(function (e) {
		//Cancel the link behavior
		e.preventDefault();
		
		$('#mask').hide();
		$('.windowX').hide();
	});
	
	//if mask is clicked
	$('#mask').click(function () {
		$(this).hide();
		$('.windowX').hide();
	});
	
});